# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/cvsroot/gentoo-x86/app-emacs/bubblet/bubblet-0.74.ebuild,v 1.2 2003/02/13 07:03:47 vapier Exp $

inherit elisp 

IUSE=""

DESCRIPTION="An Emacs front-end to mpg123 audio player and OggVorbis audio player"
HOMEPAGE="http://www.gentei.org/~yuuji/software/mpg123el/"
SRC_URI="mirror://gentoo/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86"

DEPEND="virtual/emacs
	media-sound/vorbis-tools
	media-sound/mpg321
	media-sound/aumix"

S="${WORKDIR}/${P}"

SITEFILE=50mpg123-gentoo.el

src_compile() {
	emacs --batch -f batch-byte-compile --no-site-file --no-init-file *.el || die
}

src_install() {
	elisp-install ${PN} *.el *.elc
	elisp-site-file-install ${FILESDIR}/${SITEFILE}
}

pkg_postinst() {
	elisp-site-regen
	einfo "Please see ${SITELISP}/${PN}/mpg123.el for the complete documentation."
}

pkg_postrm() {
	elisp-site-regen
}
